package com.service;

import com.repository.MemberProjectRepository;
import com.service.impl.MemberProjectServiceImpl;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;
import org.mockito.runners.MockitoJUnitRunner;

/**
 * Created by Cyan on 6/26/2016.
 */
@RunWith(MockitoJUnitRunner.class)
public class MemberProjectServiceTest {

    @InjectMocks
    private MemberProjectService memberProjectService = new MemberProjectServiceImpl();

    @Mock
    private MemberProjectRepository memberProjectRepository;

    @Before
    public void init() {
        MockitoAnnotations.initMocks(this);
    }

    @Test
    public void testDelete() throws Exception {
        String project = "test project";
        String member = "test member";

        this.memberProjectService.delete(project, member);
    }
}
